package net.knarcraft.knargui.item;

import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import org.jetbrains.annotations.NotNull;

/**
 * A class for crating visual items for the GUI
 */
@SuppressWarnings("unused")
public class SimpleGUIItemFactory extends AbstractGUIItemFactory<SimpleGUIItemFactory> {

    /**
     * Instantiates a new item factory
     *
     * @param material <p>The material to use for the new item</p>
     */
    public SimpleGUIItemFactory(@NotNull Material material) {
        super(new ItemStack(material, 1));
        setChild(this);
    }

    /**
     * Instantiates a new item factory
     *
     * @param material <p>The material to use for the new item</p>
     * @param amount   <p>The number of items to be displayed</p>
     */
    public SimpleGUIItemFactory(@NotNull Material material, int amount) {
        super(new ItemStack(material, amount));
        setChild(this);
    }

    /**
     * Instantiates a new item factory
     *
     * @param itemStack <p>The item stack to modify</p>
     */
    public SimpleGUIItemFactory(@NotNull ItemStack itemStack) {
        super(itemStack);
        setChild(this);
    }

}
